<template>
  <div>
    <!-- {{ editablePath }} -->
    {{ midPath }} {{ reused }}
    <input type="checkbox" :id="(path || []).join('.')" v-model="reused">
    <label :for="(path || []).join('.')">Reuse media</label>
    <!-- <input :id="path.join('.')" v-model="fieldData" :disabled="config.read_only" :style="{ backgroundColor: isFieldEdited({ node, path }) ? '#c3dfff' : '' }"> -->
  </div>
</template>

<script>
// import _ from 'lodash'

import { mapActions, mapGetters } from 'vuex'

export default {
  props: {
    node: {
      type: Object,
      required: true
    },
    path: {
      type: Array,
      required: true
    }
    // config: {
    //   type: Object,
    //   required: true
    // }
  },

  data () {
    return {
    }
  },

  computed: {
    ...mapGetters({
      getEditedField: 'Y3TI/getEditedField',
      getOriginalField: 'Y3TI/getOriginalField'
      // isFieldEdited: 'Y3TI/isFieldEdited'
      // getFieldConfig: 'Y3TI/getFieldConfig'
    }),
    // config () {
    //   return this.getFieldConfig({ node: this.node, path: this.path })
    // },

    // parentConfig () {
    //   return this.getFieldConfig({ node: this.node, path: (this.path || []).slice(0, -1) })
    // },

    midPath () {
      return [...(this.path || []).slice(0, -1), 'mid']
    },

    reused: {
      get () {
        // return _.get(this.$store.state.app.edited, this.editablePath)
        // console.log('get', !!this.getEditedField({ node: this.node, path: this.midPath }))
        return !!this.getEditedField({ node: this.node, path: this.midPath })
      },
      set (value) {
        // return value
        // console.log('value', value)
        // console.log('ooo', this.getOriginalField({ node: this.node, path: this.midPath }))
        const input = value ? (this.getOriginalField({ node: this.node, path: this.midPath }) || null) : null
        this.storeEditableFieldData({ data: { node: this.node, path: this.midPath, input } })
      }
    }
    // editablePath () {
    //   return [ this.node._type, 'nid-' + this.node.nid, ...[this.config.path] ]
    // }
  },

  methods: {
    ...mapActions({
      storeEditableFieldData: 'Y3TI/storeEditableFieldData'
    })
  },

  created () {
    // this.reused = false
  }
}
</script>

<style lang="scss" scoped>
  input[disabled] {
    border: gray solid;
    background-color: gray;
    color: white;
  }
</style>
